import { GeographicShapeSeriesBaseDescription } from "./GeographicShapeSeriesBaseDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class GeographicPolylineSeriesDescription extends GeographicShapeSeriesBaseDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private b6;
    get shapeStyleSelectorRef(): string;
    set shapeStyleSelectorRef(a: string);
    private b4;
    get shapeFill(): string;
    set shapeFill(a: string);
    private b5;
    get shapeStroke(): string;
    set shapeStroke(a: string);
    private b1;
    get shapeStrokeThickness(): number;
    set shapeStrokeThickness(a: number);
    private b0;
    get shapeOpacity(): number;
    set shapeOpacity(a: number);
    private b7;
    get styleShapeRef(): string;
    set styleShapeRef(a: string);
}
